ConfigurationTaskWithEnvers (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.ant
Class ConfigurationTaskWithEnvers

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.hibernate.tool.ant.ConfigurationTask
                  org.hibernate.envers.ant.ConfigurationTaskWithEnvers

All Implemented Interfaces:
  Cloneable

    public class ConfigurationTaskWithEnvers

extends org.hibernate.tool.ant.ConfigurationTask

Field Summary

Fields inherited from class org.hibernate.tool.ant.ConfigurationTask
`entityResolver`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`ConfigurationTaskWithEnvers()`

Method Summary
`protected void` | `doConfiguration(Configuration configuration)`

Methods inherited from class org.hibernate.tool.ant.ConfigurationTask
`addConfiguredFileSet, addFile, createConfiguration, getConfiguration, getConfigurationFile, getProperties, getPropertyFile, setConfigurationFile, setEntityResolver, setNamingStrategy, setPropertyFile, validateParameters`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, execute, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurationTaskWithEnvers

    public ConfigurationTaskWithEnvers()

Method Detail

### doConfiguration

    protected void doConfiguration(Configuration configuration)

  Overrides:
    `doConfiguration` in class `org.hibernate.tool.ant.ConfigurationTask`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.